## ros-indigo-cob-description 0.6.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(cob_description)

find_package(catkin REQUIRED COMPONENTS)

catkin_package()

install(DIRECTORY Media meshes urdf
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(PROGRAMS test/test_urdf.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}/test
)

=== debian/changelog ===
ros-indigo-cob-description (0.6.9-0trusty) trusty; urgency=high

  * update maintainer
  * Merge pull request #254 <https://github.com/ipa320/cob_common/issues/254> from fmessmer/add_realsense_d435
    add urdf for realsense_d435
  * add urdf for realsense_d435
  * Merge pull request #253 <https://github.com/ipa320/cob_common/issues/253> from fmessmer/fix_fisheye
    properly simulate fisheye camera
  * properly simulate fisheye camera
  * Merge pull request #245 <https://github.com/ipa320/cob_common/issues/245> from floweisshardt/rotate_base_link
    rotate base link
  * add base_charger_link
  * cleanup and rename links
  * Merge pull request #252 <https://github.com/ipa320/cob_common/issues/252> from ipa-bnm/fix/wheel_radius
    fixed wheel radius
  * fixed wheel radius
  * Merge pull request #249 <https://github.com/ipa320/cob_common/issues/249> from ipa-fxm/position_interface_base_rotation_joints
    add PositionJointInterface for fdm rotation joints
  * add PositionJointInterface for fdm rotation joints
  * added parameter for drive direction
  * rotate base link (close to working), docking missing
  * Contributors: Benjamin Maidel, Felix Messmer, cob4-13, eva-bonn, fmessmer, ipa-bnm, ipa-fxm

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-indigo-cob-description (0.6.8-0trusty) trusty; urgency=high

  * Merge pull request #246 <https://github.com/ipa320/cob_common/issues/246> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Merge pull request #244 <https://github.com/ipa320/cob_common/issues/244> from ipa-fxm/fix_depth_registered
    adjust topic to real hardware
  * adjust topic to real hardware
  * Merge pull request #243 <https://github.com/ipa320/cob_common/issues/243> from ipa-fxm/fix/test_urdf_travis
    fix test_urdf for travis
  * fix test_urdf for travis
  * Merge pull request #240 <https://github.com/ipa320/cob_common/issues/240> from mgruhler/fix/test_urdf
    cob_common: fix test_urdf.py
  * cob_common: fix test_urdf.py
    * fix check of return value from subprocess call
    * use 'rosrun xacro xacro' instead of 'rospack find xacro'/xacro as this does not work in kinetic anymore
    * clearer error output
  * Merge pull request #237 <https://github.com/ipa320/cob_common/issues/237> from ipa-fxm/fix/s300-max-range
    sick_s300: adjust range_max
  * sick_s300: adjust range_max
  * Merge pull request #235 <https://github.com/ipa320/cob_common/issues/235> from ipa-fxm/cob4_tricycle
    cob4 tricycle
  * allow tricycle_mode
  * Merge pull request #236 <https://github.com/ipa320/cob_common/issues/236> from ipa-fxm/remove_use_old_joint_name
    remove obsolete argument use_old_joint_names
  * remove obsolete argument use_old_joint_names
  * Merge pull request #233 <https://github.com/ipa320/cob_common/issues/233> from ipa-fxm/fix_asus_coord_frames
    fix camera coord frames for all cameras for hw and sim
  * adjust sick_3dcs according to hardware driver specs
  * tweak inertia
  * Update usb_cam.gazebo.xacro
  * fix frames of sick_3dcs
  * fix frames of usb_cam
  * fix image color format
  * fix coordinate frames for asus camera
  * Merge pull request #230 <https://github.com/ipa320/cob_common/issues/230> from ipa-fxm/update_maintainer
    update maintainer
  * add missing include
  * update maintainer
  * Merge pull request #224 <https://github.com/ipa320/cob_common/issues/224> from ipa-fxm/APACHE_license
    use license apache 2.0
  * Merge pull request #227 <https://github.com/ipa320/cob_common/issues/227> from ipa-fxm/copy_cob4_arm
    copy cob4_arm description
  * copy cob4_arm description
  * Merge pull request #226 <https://github.com/ipa320/cob_common/issues/226> from ipa-fxm/zr300_unique_macro_names
    unique macro name for zr300
  * unique macro name for zr300
  * Merge pull request #225 <https://github.com/ipa320/cob_common/issues/225> from ipa-fmw/feature/zr300
    add zr300 cameras
  * add zr300 urdfs
  * use license apache 2.0
  * Contributors: Benjamin Maidel, Felix Messmer, Florian Weisshardt, Matthias Gruhler, Richard Bormann, ipa-fmw, ipa-fxm, ipa-uhr-mk

 -- Felix Messmer <fxm@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-indigo-cob-description (0.6.7-0trusty) trusty; urgency=high

  * use asus xtion default values
  * usb_cam default values
  * use realsense default values
  * separate laser scanner from base
  * remove static tf frames
  * raise effort limit. fixes https://github.com/ipa320/cob_robots/issues/641
  * change back mean value of noise (caused troubles for close by obstacles)
  * set proper velocity limits for cob4 drive_wheel
  * adjusted laserscan-sensors in simulation
  * proper conditions
  * move gazebo_ros_control plugin
  * use xacro --inorder
  * fix collision mesh for cob4 torso
  * remove obsolete components due to unsupported robots
  * Merge pull request #200 <https://github.com/ipa320/cob_common/issues/200> from ipa-fxm/latest_xacro_syntax
    use latest xacro syntax
  * allow static sensorring
  * fix syntax error
  * use latest xacro syntax
  * manually fix changelog
  * unify torso xacros, use default transmission macro
  * move sensors from torso xacro to robot xacro
  * remove unused torso_3dof
  * use default transmission macro
  * unify sensorring xacros
  * move sensors from sensorring xacro to robot xacro
  * remove unused sensorring_3dcs
  * unify head xacros
  * introduce default transmission
  * move sensors from head xacro to robot xacro
  * removed softkinetic description
  * updated resolution for usb camera
  * updated resolution for usb camera
  * renamed xacro and files(head_cam -> usb_cam)
  * check camera resolution
  * added head_cam frame to urdf
  * Contributors: Felix Messmer, Florian Weisshardt, Mathias Lüdtke, fmw-hb, ipa-fxm, ipa-nhg

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Sun, 16 Jul 2017 22:00:00 -0000

ros-indigo-cob-description (0.6.6-0trusty) trusty; urgency=high

  * review velocity axis limit


=== debian/control ===
Source: ros-indigo-cob-description
Section: misc
Priority: extra
Maintainer: Felix Messmer <felixmessmer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/cob_description
Standards-Version: 3.9.2

Package: ros-indigo-cob-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-gazebo-ros, ros-indigo-rosbash, ros-indigo-rospy, ros-indigo-rosunit, ros-indigo-xacro
Description: This package contains the description (mechanical, kinematic, visual, etc.) of the Care-O-bot robot.
 The files in this package are parsed and used by a variety of other components. Most users will not interact directly with this package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-cob-description//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
